<?php

namespace App\Model;

use App\Scopes\DepartmentScope;
use Illuminate\Database\Eloquent\Model;

class SportsBag extends Model
{
//    protected $fillable = ['userData'];
    protected $guarded = [];
    protected $table = "sports_bag"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';

    public static $user = [];
    public static $search = [];
    public static $is_search = false;
    const range_function = 'sportsBagRange';

    public function __construct(array $attributes = [])
    {
        if(! empty($attributes['userData'])) {
            self::$user = $attributes['userData'];
            self::$user['range_function'] = self::range_function;
            self::$search = $attributes['search'];
            self::$is_search = true;
        }
        parent::__construct($attributes);
    }

    protected static function boot(){
        parent::boot();
        if(self::$is_search){
            static::addGlobalScope(new DepartmentScope(self::$user, self::$search));
        }
    }
}
